
_main:

;MyProject.c,16 :: 		void main()
;MyProject.c,27 :: 		ADCON1=0x06; //all pins at portA are configure as digital I/O pins
	MOVLW      6
	MOVWF      ADCON1+0
;MyProject.c,28 :: 		TRISA=0xff;
	MOVLW      255
	MOVWF      TRISA+0
;MyProject.c,30 :: 		TRISE=0x07;
	MOVLW      7
	MOVWF      TRISE+0
;MyProject.c,35 :: 		TRISE0_bit=1;
	BSF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;MyProject.c,36 :: 		TRISE1_bit=1;
	BSF        TRISE1_bit+0, BitPos(TRISE1_bit+0)
;MyProject.c,37 :: 		TRISE2_bit=1;
	BSF        TRISE2_bit+0, BitPos(TRISE2_bit+0)
;MyProject.c,39 :: 		PORTA=0;    //porta as input
	CLRF       PORTA+0
;MyProject.c,40 :: 		RE0_bit=0;    //porte as input
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;MyProject.c,41 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;MyProject.c,42 :: 		RE2_bit=0;
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
;MyProject.c,49 :: 		TRISD=0b01110000;
	MOVLW      112
	MOVWF      TRISD+0
;MyProject.c,50 :: 		TRISC3_bit =0;
	BCF        TRISC3_bit+0, BitPos(TRISC3_bit+0)
;MyProject.c,51 :: 		TRISC4_bit =0;
	BCF        TRISC4_bit+0, BitPos(TRISC4_bit+0)
;MyProject.c,52 :: 		TRISC5_bit =0;
	BCF        TRISC5_bit+0, BitPos(TRISC5_bit+0)
;MyProject.c,53 :: 		TRISC6_bit =0;
	BCF        TRISC6_bit+0, BitPos(TRISC6_bit+0)
;MyProject.c,57 :: 		PORTD=0;
	CLRF       PORTD+0
;MyProject.c,58 :: 		RC3_bit=0;
	BCF        RC3_bit+0, BitPos(RC3_bit+0)
;MyProject.c,59 :: 		RC4_bit=0;
	BCF        RC4_bit+0, BitPos(RC4_bit+0)
;MyProject.c,60 :: 		RC5_bit=0;
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,61 :: 		RC6_bit=0;
	BCF        RC6_bit+0, BitPos(RC6_bit+0)
;MyProject.c,81 :: 		while(1)
L_main0:
;MyProject.c,86 :: 		if (RA1_bit==1||RA4_bit==1)
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__main11
	BTFSC      RA4_bit+0, BitPos(RA4_bit+0)
	GOTO       L__main11
	GOTO       L_main4
L__main11:
;MyProject.c,89 :: 		delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	DECFSZ     R12+0, 1
	GOTO       L_main5
	NOP
;MyProject.c,90 :: 		RC3_bit=0;
	BCF        RC3_bit+0, BitPos(RC3_bit+0)
;MyProject.c,91 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;MyProject.c,92 :: 		initializepwm();
	CALL       _initializepwm+0
;MyProject.c,93 :: 		up();
	CALL       _up+0
;MyProject.c,95 :: 		}
L_main4:
;MyProject.c,96 :: 		if(RA0_bit==1)
	BTFSS      RA0_bit+0, BitPos(RA0_bit+0)
	GOTO       L_main6
;MyProject.c,98 :: 		delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main7:
	DECFSZ     R13+0, 1
	GOTO       L_main7
	DECFSZ     R12+0, 1
	GOTO       L_main7
	NOP
;MyProject.c,99 :: 		initializepwm();
	CALL       _initializepwm+0
;MyProject.c,100 :: 		down();
	CALL       _down+0
;MyProject.c,101 :: 		RC3_bit=1;
	BSF        RC3_bit+0, BitPos(RC3_bit+0)
;MyProject.c,102 :: 		RD0_bit=1;
	BSF        RD0_bit+0, BitPos(RD0_bit+0)
;MyProject.c,104 :: 		}
L_main6:
;MyProject.c,106 :: 		}
	GOTO       L_main0
;MyProject.c,107 :: 		}
L_end_main:
	GOTO       $+0
; end of _main

_initializepwm:

;MyProject.c,110 :: 		void initializepwm()      //4kHz frequency and 50% duty cycle
;MyProject.c,113 :: 		TRISC2_bit =0; //CCP1 pin config as output pin
	BCF        TRISC2_bit+0, BitPos(TRISC2_bit+0)
;MyProject.c,114 :: 		PORTC.F2=0;
	BCF        PORTC+0, 2
;MyProject.c,118 :: 		PWM1_Init(5000);                    // Initialize PWM1 module at 5KHz
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      99
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
;MyProject.c,121 :: 		}
L_end_initializepwm:
	RETURN
; end of _initializepwm

_sixtyduty:

;MyProject.c,123 :: 		void sixtyduty()                        //duty=0 means duty cycle is 0 and 1023 is 100% dutycycle
;MyProject.c,130 :: 		}
L_end_sixtyduty:
	RETURN
; end of _sixtyduty

_halfduty:

;MyProject.c,132 :: 		void halfduty()
;MyProject.c,134 :: 		PWM1_Start();
	CALL       _PWM1_Start+0
;MyProject.c,135 :: 		PWM1_Init(5000);
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      99
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
;MyProject.c,136 :: 		PWM1_Set_Duty(192);        // Set current duty for PWM1
	MOVLW      192
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;MyProject.c,143 :: 		}
L_end_halfduty:
	RETURN
; end of _halfduty

_up:

;MyProject.c,147 :: 		void up()     //60% duty cycle for forward direction
;MyProject.c,149 :: 		PWM1_Start();
	CALL       _PWM1_Start+0
;MyProject.c,150 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_up8:
	DECFSZ     R13+0, 1
	GOTO       L_up8
	DECFSZ     R12+0, 1
	GOTO       L_up8
	NOP
;MyProject.c,151 :: 		PWM1_Set_Duty(153);  //153
	MOVLW      153
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;MyProject.c,152 :: 		}
L_end_up:
	RETURN
; end of _up

_down:

;MyProject.c,154 :: 		void down() //60% duty cycle for reverse direction
;MyProject.c,156 :: 		PWM1_Start();
	CALL       _PWM1_Start+0
;MyProject.c,157 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_down9:
	DECFSZ     R13+0, 1
	GOTO       L_down9
	DECFSZ     R12+0, 1
	GOTO       L_down9
	NOP
;MyProject.c,158 :: 		PWM1_Set_Duty(51);  //102
	MOVLW      51
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;MyProject.c,160 :: 		}
L_end_down:
	RETURN
; end of _down

_stopmotor:

;MyProject.c,162 :: 		void stopmotor()  // stop duty cycle
;MyProject.c,165 :: 		PWM1_Start();    //start pwm
	CALL       _PWM1_Start+0
;MyProject.c,166 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_stopmotor10:
	DECFSZ     R13+0, 1
	GOTO       L_stopmotor10
	DECFSZ     R12+0, 1
	GOTO       L_stopmotor10
	NOP
;MyProject.c,167 :: 		PWM1_Set_Duty(122);
	MOVLW      122
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;MyProject.c,169 :: 		}
L_end_stopmotor:
	RETURN
; end of _stopmotor

_f1f2:

;MyProject.c,170 :: 		void f1f2()
;MyProject.c,179 :: 		}
L_end_f1f2:
	RETURN
; end of _f1f2

_zero:

;MyProject.c,181 :: 		void zero()
;MyProject.c,184 :: 		RD2_bit=0;//2st seven segment
	BCF        RD2_bit+0, BitPos(RD2_bit+0)
;MyProject.c,185 :: 		RD3_bit=0;
	BCF        RD3_bit+0, BitPos(RD3_bit+0)
;MyProject.c,186 :: 		RC4_bit=0;
	BCF        RC4_bit+0, BitPos(RC4_bit+0)
;MyProject.c,187 :: 		RC5_bit=0;
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,188 :: 		RC6_bit=0;
	BCF        RC6_bit+0, BitPos(RC6_bit+0)
;MyProject.c,189 :: 		RC7_bit=0;
	BCF        RC7_bit+0, BitPos(RC7_bit+0)
;MyProject.c,192 :: 		}
L_end_zero:
	RETURN
; end of _zero

_one:

;MyProject.c,194 :: 		void one()
;MyProject.c,197 :: 		RD2_bit=1;//2st seven segment
	BSF        RD2_bit+0, BitPos(RD2_bit+0)
;MyProject.c,198 :: 		RD3_bit=0;
	BCF        RD3_bit+0, BitPos(RD3_bit+0)
;MyProject.c,199 :: 		RC4_bit=1;
	BSF        RC4_bit+0, BitPos(RC4_bit+0)
;MyProject.c,200 :: 		RC5_bit=0;
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,201 :: 		RC6_bit=1;
	BSF        RC6_bit+0, BitPos(RC6_bit+0)
;MyProject.c,202 :: 		RC7_bit=0;
	BCF        RC7_bit+0, BitPos(RC7_bit+0)
;MyProject.c,204 :: 		}
L_end_one:
	RETURN
; end of _one

_two:

;MyProject.c,206 :: 		void two()
;MyProject.c,209 :: 		RD2_bit=0;//2st seven segment
	BCF        RD2_bit+0, BitPos(RD2_bit+0)
;MyProject.c,210 :: 		RD3_bit=1;
	BSF        RD3_bit+0, BitPos(RD3_bit+0)
;MyProject.c,211 :: 		RC4_bit=0;
	BCF        RC4_bit+0, BitPos(RC4_bit+0)
;MyProject.c,212 :: 		RC5_bit=1;
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,213 :: 		RC6_bit=0;
	BCF        RC6_bit+0, BitPos(RC6_bit+0)
;MyProject.c,214 :: 		RC7_bit=1;
	BSF        RC7_bit+0, BitPos(RC7_bit+0)
;MyProject.c,216 :: 		}
L_end_two:
	RETURN
; end of _two
