void initializepwm();
void up();
void down();
void stopmotor();
void zero();
void one();
void two();



void main() 
{



               /*
               config portA as digital input
               adcon1 registor config porta as digital I/O pin or analog I/O pins
               */

                // limit switches input pins configuration
                ADCON1=0x06; //all pins at portA are configure as digital I/O pins
                TRISA=0xff;

                TRISE=0x07;




                TRISE0_bit=1;
                TRISE1_bit=1;
                TRISE2_bit=1;
                
                PORTA=0;    //porta as input
                RE0_bit=0;    //porte as input
                RE1_bit=0;
                RE2_bit=0;


             


              /* 7 segment pins 2 pins of portd and 4 pins of portc */
              TRISD=0b01110000;
              TRISC3_bit =0;
              TRISC4_bit =0;
              TRISC5_bit =0;
              TRISC6_bit =0;


             /* assign initial value zero to 7 segment pins */
             PORTD=0;
             RC3_bit=0;
             RC4_bit=0;
             RC5_bit=0;
             RC6_bit=0;


             
/*three pins config as iputput pins for sensor input
             TRISD4_bit =1;
             TRISD5_bit =1;
             TRISD6_bit =1;

             //assign initial value zero
             RD4_bit=0;
             RD5_bit=0;
             RD6_bit=0;
             */






     while(1)
             
             {


             if (RA1_bit==1||RA4_bit==1)
             
            {
               delay_ms(40);

               initializepwm();
               up();

                  }
                  if(RA0_bit==1)
                {
                delay_ms(40);
                 initializepwm();
                 down();
                 RC3_bit=1;
                 RD0_bit=1;

                        }

}
 }

    
    void initializepwm()      //4kHz frequency and 50% duty cycle
    
    {
    TRISC2_bit =0; //CCP1 pin config as output pin
    PORTC.F2=0;
    //T2CON =0b00000101;//enable timer2 using prescalar 4(01 last two bits) and next 1 is to turn on timer2
    //PR2=0x7C;   //timer 2 value
    //CCP1CON=0x0C;       //intialize ccp1 as pwm and set initial value of LSB's 0
    PWM1_Init(5000);                    // Initialize PWM1 module at 5KHz


    }
   

   

   
     // i used MOSFET based H-Bridge
   
    void up()     //60% duty cycle for forward direction
    {
         PWM1_Start();
         Delay_ms(40);
         PWM1_Set_Duty(153);  //153
    }
    
    void down() //motor move in reverse direction below 50% duty cycles
    {
     PWM1_Start();
     Delay_ms(40);
     PWM1_Set_Duty(51);  //102
    
    }
    
    void stopmotor()  // motor is stop at 50% duty cycle
    {

      PWM1_Start();    //start pwm
      Delay_ms(40);
      PWM1_Set_Duty(127);

    }

    
    void zero()
    {

        RD2_bit=0;//2st seven segment
        RD3_bit=0;
        RC4_bit=0;
        RC5_bit=0;
        RC6_bit=0;
        RC7_bit=0;

    
    }
    
    void one()
    {

        RD2_bit=1;//2st seven segment
        RD3_bit=0;
        RC4_bit=1;
        RC5_bit=0;
        RC6_bit=1;
        RC7_bit=0;

    }
    
    void two()
    {

        RD2_bit=0;//2st seven segment
        RD3_bit=1;
        RC4_bit=0;
        RC5_bit=1;
        RC6_bit=0;
        RC7_bit=1;

    }